clang 8.0.0

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
clang::SanitizerSpecialCaseList Class Reference

`#include "clang/Basic/SanitizerSpecialCaseList.h"`

Inheritance diagram for clang::SanitizerSpecialCaseList:
[legend]
Collaboration diagram for clang::SanitizerSpecialCaseList:
[legend]

## Classes
struct | SanitizerSection

## Public Member Functions
bool | inSection (SanitizerMask Mask, StringRef Prefix, StringRef Query, StringRef Category=StringRef()) const

## Static Public Member Functions
static std::unique_ptr< SanitizerSpecialCaseList > | create (const std::vector< std::string > &Paths, std::string &Error)
static std::unique_ptr< SanitizerSpecialCaseList > | createOrDie (const std::vector< std::string > &Paths)

## Protected Member Functions
void | createSanitizerSections ()

## Protected Attributes
std::vector< SanitizerSection > | SanitizerSections

## Detailed Description

Definition at line 25 of file SanitizerSpecialCaseList.h.

## Member Function Documentation

## ◆ create()

std::unique_ptr< SanitizerSpecialCaseList > SanitizerSpecialCaseList::create | ( | const std::vector< std::string > & | Paths,
|  | std::string & | Error
| ) |  |
| static

Definition at line 19 of file SanitizerSpecialCaseList.cpp.

## ◆ createOrDie()

std::unique_ptr< SanitizerSpecialCaseList > SanitizerSpecialCaseList::createOrDie | ( | const std::vector< std::string > & | Paths | ) |
| static

Definition at line 31 of file SanitizerSpecialCaseList.cpp.

## ◆ createSanitizerSections()

void SanitizerSpecialCaseList::createSanitizerSections | ( |  | ) |
| protected

Definition at line 38 of file SanitizerSpecialCaseList.cpp.

## ◆ inSection()

bool SanitizerSpecialCaseList::inSection | ( | SanitizerMask | Mask,
|  | StringRef | Prefix,
|  | StringRef | Query,
|  | StringRef | Category = `StringRef()`
| ) |  | const

Definition at line 55 of file SanitizerSpecialCaseList.cpp.

## Member Data Documentation

## ◆ SanitizerSections

std::vector<SanitizerSection> clang::SanitizerSpecialCaseList::SanitizerSections
| protected

Definition at line 49 of file SanitizerSpecialCaseList.h.

The documentation for this class was generated from the following files:

- include/clang/Basic/SanitizerSpecialCaseList.h
- lib/Basic/SanitizerSpecialCaseList.cpp